> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the fee of payments

Retrieve the accurate payment fee for sending a payment to a particular beneficiary


## OpenAPI

````yaml /openapi.json get /payments/fees
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /payments/fees:
    get:
      tags:
        - Payments
      summary: Get the fee of payments
      description: Retrieve the payment fee for sending a payment
      parameters:
        - description: The ID of the client
          in: query
          name: client_id
          required: true
          schema:
            type: string
        - name: beneficiary_id
          in: query
          description: The ID of the beneficiary
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: The access token
          required: true
          schema:
            type: string
        - name: payment_amount
          in: query
          description: The amount of the payment
          required: true
          schema:
            format: float
            type: number
      responses:
        '200':
          description: The payment estimate fee
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentFee'
        '400':
          description: >-
            Formatting, parameter or schema validation error. See error message
            for further details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Access denied due to authentication failure
        '403':
          description: Forbidden
        '404':
          description: Client ID not found
        '502':
          description: Internal integration error. Contact support
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    PaymentFee:
      description: This model is a representation of a payment fee.
      type: object
      properties:
        fee_amount:
          description: Fee amount
          format: float
          type: number
        fee_currency:
          description: Fee currency
          type: string
        payment_amount:
          description: Payment amount
          format: float
          type: number
        payment_currency:
          description: Currency the payment was made in
          type: string
        payment_country:
          description: The destination country of the payment
          type: string
        beneficiary_id:
          description: Beneficiary identifier
          type: string
        payment_is_intra:
          type: boolean
          description: True if payment is Ebury intra payments, False otherwise
      required:
        - fee_amount
        - fee_currency
        - payment_currency
        - payment_country
        - beneficiary_id
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````